#ifndef KMOPTION_H
#define KMOPTION_H

#include <string>

using namespace std;

class KMOption
{
public:
    KMOption();
    ~KMOption();

    void parseOptions(int argc, char **argv);

    string getArch() { return m_arch; }

    string getBranch() { return m_branch; }

    string getCommit() { return m_commit; }

    string getCommand() { return m_command; }

    string getRuntiomeCommit() { return m_runtime_commit; }

    bool getSandbox() { return m_sandbox; }

private:
    void matchOption(char *option);

private:
    bool m_sandbox = false;
    string m_arch;
    string m_branch;
    string m_commit;
    string m_command;

    string m_runtime_version;
    string m_runtime_commit;
};

#endif // KMOPTION_H
